| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Functions
img_tile_patch.h File Reference

Header file for functions to tile and patch images. More...

`#include "rwimg.h"`

Go to the source code of this file.

## Functions
int | img_tile_with_overlap (Bimage *p, Bstring outputfile, Vector3< int > size, Vector3< int > overlap, int digits, int first_number, DataType newdatatype)
| Writes overlapping tiles into new images. More...
Bimage * | img_patch (Bstring *file_list, Bstring tile_file, DataType nudatatype, double cutmin, double cutmax, double nuavg, double nustd)
| Assembles overlapping tiles into a single image. More...

## Detailed Description

Header file for functions to tile and patch images.

Author
  Bernard Heymann

Date
  Created: 20040712
  Modified: 20151005

Definition in file img_tile_patch.h.

## Function Documentation

Bimage* img_patch | ( | Bstring * | file_list,
|  | Bstring | tile_file,
|  | DataType | nudatatype,
|  | double | cutmin,
|  | double | cutmax,
|  | double | nuavg,
|  | double | nustd
| ) |  |

Assembles overlapping tiles into a single image.

Parameters

  *file_list | list of files with tiles.
  tile_file | text file specifying the tile size, overlap and locations.
  nudatatype | new data type to convert to.
  cutmin | minimum to truncate each tile before assembly.
  cutmax | maximum to truncate each tile before assembly.
  nuavg | new average to set each tile before assembly.
  nustd | new standard deviation to set each tile before assembly.

Returns
  Bimage* new composite image.

      Each tile extents halfway into overlapped areas, representing a step
      function between tiles.

Definition at line 126 of file img_tile_patch.cpp.

int img_tile_with_overlap | ( | Bimage * | p,
|  | Bstring | outputfile,
|  | Vector3< int > | size,
|  | Vector3< int > | overlap,
|  | int | digits,
|  | int | first_number,
|  | DataType | nudatatype
| ) |  |

Writes overlapping tiles into new images.

Parameters

  *p | image = tile.
  outputfile | output file name.
  size | tile size.
  overlap | tile overlap.
  digits | number of digits in tile file number.
  first_number | first tile file number.
  nudatatype | tile datatype.

Returns
  int number of tiles.

      Each tile is copied into a new image and written with a numbered file name.
      The tiles at the ends of the block may not be the same size as the
      other tiles, being truncated at the end of the input data.
      A text file with the extension ".tiles" is written with the positions
      of the tiles, and it is needed to patch the image together again.

Definition at line 35 of file img_tile_patch.cpp.